%define		pkgname	utf8-string
Summary:	Support for reading and writing UTF8 Strings
Name:		ghc-%{pkgname}
Version:	0.3.7
Release:	3
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	50e5c395713e716e0e4a56da73f87ccd
URL:		http://hackage.haskell.org/package/utf8-string/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
A UTF8 layer for IO and Strings. The utf8-string package provides
operations for encoding UTF8 strings to Word8 lists and back, and for
reading and writing UTF8 without truncation.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.lhs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.lhs build
runhaskell Setup.lhs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.lhs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
%{__rm} -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html

runhaskell Setup.lhs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%changelog
* Fri May 31 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghc-utf8-string.git;a=log;h=master

* Fri May 31 2013 Jan Rękorajski <baggins@pld-linux.org> 7b98549
- fix doc install
- rel 3

* Sun Oct 02 2011 Jacek Konieczny <jajcus@pld-linux.org> 5be696d
- removed changelog entries from template

* Sun Oct 02 2011 Jacek Konieczny <jajcus@pld-linux.org> 5b1b2aa
- new package

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> 0ce6d23
- rel 2
- use runhaskell to exec Setup.lhs

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> 6eca526
- fix md5

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> f624d79
- 0.3.7

* Mon Feb 28 2011 Elan Ruusamäe <glen@pld-linux.org> b65391b
- update packaging, %requires_eq dep on ghc

* Thu Feb 24 2011 Elan Ruusamäe <glen@pld-linux.org> 982f852
- release 5

* Thu Feb 24 2011 Elan Ruusamäe <glen@pld-linux.org> 8d020ae
- use %ghcdir moved to common macros

* Thu Feb 24 2011 Elan Ruusamäe <glen@pld-linux.org> 916c4eb
- use %ghc_pkg_recache macro; make url copyable

* Sat Aug 28 2010 Jan Rękorajski <baggins@pld-linux.org> 09a6071
- release 3

* Sat Aug 28 2010 Jan Rękorajski <baggins@pld-linux.org> 5cccf93
- requires_releq due to very unique ids in packages built with ghc 6.12+

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> ffe1379
- rel 2

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> 431dcf8
- updated packaging to new template (ghc 6.12.3+)

* Sat Apr 10 2010 Jan Rękorajski <baggins@pld-linux.org> 013d09c
- removed changelog entries from template

* Sat Apr 10 2010 Jan Rękorajski <baggins@pld-linux.org> 7ed0ca2
- new package

